Table of Contents

Class: KeyFactory | Twisted-0.19.0/twisted/enterprise/row.py
--- | ---
I create unique keys to use as primary key columns in database tables. I am able to use a specified range. (NOTE: not thread safe....)
Methods |
--- | ---
__init__ getNextKey
| __init__
    __init__ (
            self,
            minimum,
            pool,
            )
| getNextKey
    getNextKey ( self )
Exceptions |
--- | ---
"Key factory key pool exceeded."

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:36 2002 by HappyDoc version 2.0